//package com.boman.web.core.controller;
//
//import com.boman.common.core.web.controller.BaseController;
//import com.boman.domain.TableDataInfo;
//import com.boman.domain.VaccineInfoOperation;
//import com.boman.domain.dto.AjaxResult;
//import com.boman.web.core.service.vaccineInfo.IVaccineInfoService;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.GetMapping;
//import org.springframework.web.bind.annotation.PathVariable;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RestController;
//
//import java.util.List;
//
///**
// * @author shiqian
// * @description 常驻人口
// * @date 2022年01月05日 15:39
// **/
//@RestController
//@RequestMapping("/core/czrk")
//public class Czrk1Controller extends BaseController {
//
//    @Autowired
//    private IVaccineInfoService vaccineInfoService;
//
//    /**
//     * 功能描述: 项目首页统计信息，
//     * 当前单位：镇，村：7个，组：300个，常住人口：5000人，新增 2人  减少 2人
//     *
//     * @return com.boman.domain.dto.AjaxResult
//     */
//    @GetMapping("/stsByCzrkHomePage")
//    public AjaxResult stsByCzrkHomePage() {
//        return AjaxResult.success("成功", vaccineInfoService.stsByCzrkHomePage());
//    }
//
//    /**
//     * 功能描述: 当前单位：镇，村：7个，组：300个，常住人口：5000人，新增 2人  减少 2人
//     *
//     * @return com.boman.domain.dto.AjaxResult
//     */
//    @GetMapping("/stsByCzrk")
//    public AjaxResult stsByCzrk() {
//        return AjaxResult.success("成功", vaccineInfoService.stsByCzrk());
//    }
//
//    /**
//     * 功能描述: ”当前单位：镇，村：7个，组：300个，常住人口：5000人，新增 2人  减少 2人“ 中的新增人员列表
//     *
//     * @return com.boman.domain.dto.AjaxResult
//     */
//    @GetMapping("/listByXz")
//    public TableDataInfo listByXz(VaccineInfoOperation condition) {
//        List<VaccineInfoOperation> list = vaccineInfoService.listByXz(condition);
//        return getDataTable(list);
//    }
//
//    /**
//     * 功能描述: ”当前单位：镇，村：7个，组：300个，常住人口：5000人，新增 2人  减少 2人“ 中的减少人员列表
//     *
//     * @return com.boman.domain.dto.AjaxResult
//     */
//    @GetMapping("/listByJs")
//    public TableDataInfo listByJs(VaccineInfoOperation condition) {
//        List<VaccineInfoOperation> list = vaccineInfoService.listByJs(condition);
//        return getDataTable(list);
//    }
//
//    /**
//     * 功能描述: 删除常住人口，人员认领中的删除也是这个接口
//     *
//     * @return com.boman.domain.dto.AjaxResult
//     */
//    @GetMapping("/deleteCzrk")
//    public AjaxResult deleteCzrk(VaccineInfoOperation vaccineInfoOperation) {
//        return vaccineInfoService.deleteCzrk(vaccineInfoOperation);
//    }
//
//    /**
//     * 功能描述: 回收站的还原功能
//     *
//     * @return com.boman.domain.dto.AjaxResult
//     */
//    @GetMapping("/reduction/{id}")
//    public AjaxResult reduction(@PathVariable("id") String id) {
//        int reduction = vaccineInfoService.reduction(id);
//        return reduction > 0 ? AjaxResult.success() : AjaxResult.error();
//    }
//
//    /**
//     * 功能描述: 根据户号查找家庭中所有人员
//     *
//     * @return com.boman.domain.dto.AjaxResult
//     */
//    @GetMapping("/family/{code}")
//    public AjaxResult family(@PathVariable("code") String code) {
//        return AjaxResult.success(vaccineInfoService.family(code));
//    }
//
//
//
//}
